# Esse é o arquivo de configurações do DOSBox 0.74. (Por favor use a última versão do DOSBox)
# Linhas começando com # são linhas de comentário.
# São usadas para informar (rapidamente) o efeito que cada opção causará.

[sdl]
#       fullscreen: Iniciar o dosbox em tela-cheia. (Aperte ALT-Enter para retornar)
#       fulldouble: Usar buffer duplo quando em tela-cheia. Poderá reduzir tremulações na tela, mas também poderá causar uma redução na velocidade.
#   fullresolution: Que resolução usar no modo tela-cheia: original ou tamanho fixo (ex. 1024x768).
#                     Usar a resolução nativa do seu monitor com aspect=true deverá dar os melhores resultados.
#                     Se a imagem exibida for pequena em uma tela grande, tente uma saída de vídeo diferente de surface.
# windowresolution: Ajustar a janela para este tamanho SE o dispositivo de saída suportar escalagem.
#                     (output=surface não suporta!)
#           output: Qual sistema utilizar para saída de vídeo.
#                   Valores possíveis: surface, overlay, opengl, openglnb, ddraw.
#         autolock: Capturar o mouse automaticamente, quando clicar na tela do dosbox. (Aperte CTRL-F10 para liberar)
#      sensitivity: Sensibilidade do mouse.
#      waitonerror: Se ocorrer algum erro com o dosbox, aguardar o fechamento do console.
#         priority: Níveis de prioridade para o dosbox. A segunda opção, depois da vírgula, é usada quando o dosbox está em segundo plano.
#                     (O pause só é válido para a segunda opção)
#                   Valores possíveis: lowest, lower, normal, higher, highest, pause.
#       mapperfile: Arquivo utilizado para carregar/salvar o mapeamento das teclas/eventos. Resetmapper apenas funciona com os valores padrão.
#     usescancodes: Evite o uso de symkeys. Pode não funcionar em certos sistemas operacionais.

fullscreen=false
fulldouble=false
fullresolution=original
windowresolution=original
output=surface
autolock=true
sensitivity=100
waitonerror=true
priority=higher,normal
mapperfile=mapper-0.74.map
usescancodes=true

[dosbox]
# language: Selecionar outro arquivo de idioma.
#  machine: Tipo de máquina a emular.
#           Valores possíveis: hercules, cga, tandy, pcjr, ega, vgaonly, svga_s3, svga_et3000, svga_et4000, svga_paradise, vesa_nolfb, vesa_oldvbe.
# captures: Diretório para salvar a captura de tela, sons, música.
#  memsize: Quantidade de memória para o dosbox utilizar, em megabytes.
#             O melhor valor é o padrão. Ele evitará problemas com alguns jogos.
#             Contudo outros jogos talvez precisem de um valor maior.
#             Geralmente não há melhora na velocidade aumentando-se esse valor.

language=portuguese.lang
machine=svga_s3
captures=capture
memsize=16

[render]
# frameskip: Quantos frames o dosbox irá ignorar antes de desenhar outro.
#    aspect: Fazer correção do formato. Se a saída não suportar escalagem, o desempenho do dosbox poderá ser reduzido!
#    scaler: Escala utilizada para ampliar/melhorar modos de baixa resolução.
#              Se 'forced' for adicionado, a escala será usada mesmo se o resultado não for o desejado.
#            Valores possíveis: none, normal2x, normal3x, advmame2x, advmame3x, advinterp2x, advinterp3x, hq2x, hq3x, 2xsai, super2xsai, supereagle, tv2x, tv3x, rgb2x, rgb3x, scan2x, scan3x.

frameskip=0
aspect=false
scaler=normal2x

[cpu]
#      core: Núcleo do processador usado na emulação. auto alterna para dynamic quando disponível e apropriado.
#            Valores possíveis: auto, dynamic, normal, simple.
#   cputype: Tipo de emulação do processador. auto é a opção de melhor velocidade.
#            Valores possíveis: auto, 386, 386_slow, 486_slow, pentium_slow, 386_prefetch.
#    cycles: Quantidade de instruções que o dosbox emulará por milisegundo.
#            Colocar um valor muito alto pode ocasionar perda de áudio e redução da velocidade.
#            Os ciclos podem ser ajustados de 3 maneiras:
#              'auto'          tenta descobrir o melhor valor.
#                              Geralmente funciona, mas poderá falhar para alguns jogos.
#              'fixed #número' ajusta uma quantidade fixa de ciclos. Isso poderá ser usado caso 'auto' falhe.
#                              (Exemplo: fixed 4000)
#              'max'           aloca a maior quantidade de ciclos que seu computador pode suportar.
#            Valores possíveis: auto, fixed, max.
#   cycleup: Quantidade de ciclos para aumentar/diminuir ao apertar as teclas correspondentes. (CTRL-F11/CTRL-F12)
# cycledown: Valores menores que 100 correspondem à porcentagens.

core=auto
cputype=auto
cycles=auto
cycleup=10
cycledown=20

[mixer]
#   nosound: Ativar modo silencioso. Ainda assim, o som continuará sendo emulado.
#      rate: Taxa de amostragem do mixer. Ajustar qualquer valor maior que este no dispositivo provavelmente diminua a qualidade do áudio.
#            Valores possíveis: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
# blocksize: Tamanho do bloco do mixer. Blocos maiores podem evitar sons picotados mas o som poderá sair com atraso.
#            Valores possíveis: 1024, 2048, 4096, 8192, 512, 256.
# prebuffer: Quantos milisegundos de dados manter antes do buffer.

nosound=false
rate=44100
blocksize=1024
prebuffer=20

[midi]
#     mpu401: Tipo de MPU-401 a emular.
#             Valores possíveis: intelligent, uart, none.
# mididevice: Dispositivo que receberá as informações MIDI a partir do MPU-401.
#             Valores possíveis: default, win32, alsa, oss, coreaudio, coremidi, none.
# midiconfig: Opções especiais de configuração para o dispositivo. Esse é geralmente o id. do dispositivo que você deseja usar.
#               Veja o arquivo README/Manual para mais detalhes.

mpu401=intelligent
mididevice=default
midiconfig=

[sblaster]
#  sbtype: Tipo de SoundBlaster a emular. gb é Gameblaster
#          Valores possíveis: sb1, sb2, sbpro1, sbpro2, sb16, gb, none.
#  sbbase: Valor do 'IO address' do SoundBlaster.
#          Valores possíveis: 220, 240, 260, 280, 2a0, 2c0, 2e0, 300.
#     irq: Valor do IRQ do SoundBlaster.
#          Valores possíveis: 7, 5, 3, 9, 10, 11, 12.
#     dma: Valor do DMA do SoundBlaster.
#          Valores possíveis: 1, 5, 0, 3, 6, 7.
#    hdma: Valor 'High DMA' do SoundBlaster.
#          Valores possíveis: 1, 5, 0, 3, 6, 7.
# sbmixer: Permitir que o mixer do SoundBlaster modifique o mixer do dosbox.
# oplmode: Tipo de emulação OPL. Em 'auto', o modo é determinado pelo tipo do SoundBlaster. Todos os modos OPL são compatíveis com Adlib, exceto o 'cms'.
#          Valores possíveis: auto, cms, opl2, dualopl2, opl3, none.
#  oplemu: Provedor da emulação do OPL. compat deve oferecer melhor qualidade (veja também oplrate).
#          Valores possíveis: default, compat, fast.
# oplrate: Taxa de amostragem da emulação da música OPL. Use 49716 para a mais alta qualidade (ajuste a taxa de amostragem do mixer correspondente).
#          Valores possíveis: 44100, 49716, 48000, 32000, 22050, 16000, 11025, 8000.

sbtype=sb16
sbbase=220
irq=7
dma=1
hdma=5
sbmixer=true
oplmode=auto
oplemu=default
oplrate=44100

[gus]
#      gus: Ativar a emulação do Gravis Ultrasound.
#  gusrate: Taxa de amostragem da emulação do GUS.
#           Valores possíveis: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#  gusbase: Valor do 'IO address' do Gravis Ultrasound.
#           Valores possíveis: 240, 220, 260, 280, 2a0, 2c0, 2e0, 300.
#   gusirq: Valor do IRQ do Gravis Ultrasound.
#           Valores possíveis: 5, 3, 7, 9, 10, 11, 12.
#   gusdma: Valor do 'DMA channel' do Gravis Ultrasound.
#           Valores possíveis: 3, 0, 1, 5, 6, 7.
# ultradir: Caminho para o diretório do Ultrasound. Neste diretório
#           deverá haver uma pasta de MIDI que contém
#           o banco de sons para a reprodução do GUS. Também podem ser
#           usados os mesmos que funcionam com Timidity.

gus=false
gusrate=44100
gusbase=240
gusirq=5
gusdma=3
ultradir=C:\ULTRASND

[speaker]
# pcspeaker: Ativar a emulação do PC-Speaker.
#    pcrate: Taxa de amostragem do som do PC-Speaker.
#            Valores possíveis: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#     tandy: Ativar emulação do Tandy Sound System. Em 'auto' a emulação do Tandysound só será feita se a máquina estiver como 'Tandy'.
#            Valores possíveis: auto, on, off.
# tandyrate: Taxa de amostragem do Tandy 3-Voice generation.
#            Valores possíveis: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#    disney: Ativar a emulação do Disney Sound Source. (Covox Voice Master e Speech Thing compatíveis).

pcspeaker=true
pcrate=44100
tandy=auto
tandyrate=44100
disney=true

[joystick]
# joysticktype: Tipo do joystick a emular: auto (padrão), none,
#               2axis (suporta 2 joysticks),
#               4axis (suporta 1 joystick, o primeiro será utilizado),
#               4axis_2 (suporta 1 joystick, o segundo será utilizado),
#               fcs (Thrustmaster), ch (CH Flightstick).
#               none desativa a emulação do joystick.
#               auto determina a emulação de acordo com o joystick(s) utilizado(s).
#               (Lembre-se de resetar o arquivo de mapeamento caso você tenha salvo ele antes)
#               Valores possíveis: auto, 2axis, 4axis, 4axis_2, fcs, ch, none.
#        timed: Ativa intervalos temporizados para os eixos. Experimente essa opção se o jogo fizer movimentos quando o joystick estiver parado.
#     autofire: Atira continuamente enquanto o botão estiver pressionado.
#       swap34: Inverter o 3º e o 4º eixo. Pode ser útil para alguns joysticks.
#   buttonwrap: Ativar agrupamento dos botões quando um certo número for emulado.

joysticktype=auto
timed=true
autofire=false
swap34=false
buttonwrap=false

[serial]
# serial1: Configure o tipo de dispositivo conectado a porta serial.
#          Pode ser disabled, dummy, modem, nullmodem, directserial.
#          Parâmetros adicionais devem estar na mesma linha da seguinte forma
#          parâmetro:valor. O parâmetro comum é irq.
#          para directserial: realport (obrigatório), rxdelay (opcional).
#                            (realport:COM1 realport:ttyS0).
#          para modem: listenport (opcional).
#          para nullmodem: server, rxdelay, txdelay, telnet, usedtr,
#                         transparent, port, inhsocket (todos opcionais).
#          Exemplo: serial1=modem listenport:5000
#          Valores possíveis: dummy, disabled, modem, nullmodem, directserial.
# serial2: Veja serial1
#          Valores possíveis: dummy, disabled, modem, nullmodem, directserial.
# serial3: Veja serial1
#          Valores possíveis: dummy, disabled, modem, nullmodem, directserial.
# serial4: Veja serial1
#          Valores possíveis: dummy, disabled, modem, nullmodem, directserial.

serial1=dummy
serial2=dummy
serial3=disabled
serial4=disabled

[dos]
#            xms: Habilitar suporte a XMS.
#            ems: Habilitar suporte a EMS.
#            umb: Habilitar suporte a UMB.
# keyboardlayout: Código do idioma para layout do teclado (ou nenhum).

xms=true
ems=true
umb=true
keyboardlayout=br

[ipx]
# ipx: Ativar emulação IPX sobre UDP/IP.

ipx=false

[autoexec]
# As linhas nesta seção serão sempre executadas ao se iniciar o dosbox.
# Você pode adicionar comandos de montagem aqui.


